Bug 69221 - child application terminated when console is killed.
child application terminated when console is killed.
Product: Red Hat Public Beta
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-19 01:56 EDT by eeeg
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-20 15:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description eeeg 2002-07-19 01:56:23 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
Description of problem: 
When an application, say xemacs, is launched from within a konsole or an xterm, that 
application is terminated when the user terminates the konsole or xterm by clicking on the 
close window button.  The application is NOT terminated when the user types 'exit' from within 
the konsole/xterm that was used to launch the application.   
This behavior exists in both the kde version supplied by redhat as well as a kde 3.0.2 I built on 
limbo.  Although, the latter has some more unpleasant consequences,  i.e., if the user 
launches konqueror from a konsole, kills the konsole by clicking the close window button, 
again, both konsole and konqueror terminate, but now a mutex is not released and the user can 
no longer run (at least) konqueror, kspread, and kword. 
Hopefully, the user saved their work. 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1. launch konsole or xterm 
2. enter the following command 'xemacs &' 
3. kill the konsole by clicking the 'close' window button. 
4. that konsole and emacs will both terminate 
Expected Results:  the konsole should terminate.  my xemacs session should not. 
Additional info:
Comment 1 Harald Hoyer 2002-08-19 10:45:29 EDT
hmm, normal behaviour, if a shell gets a SIGHUP... though konsole should warn
about running apps...
Comment 2 eeeg 2002-08-19 11:00:47 EDT
 This is not normal behaviour in Red Hat 7.3.  Further, this does not happen in limbo if you su - to 
another user, then launch the application, and then kill the console.
Comment 3 eeeg 2002-08-20 15:31:49 EDT
Oops, I guess this is normal shell behaviour with bash.  tcsh behaves 
differently.  Sorry.  Not a bug?

Note You need to log in before you can comment on or make changes to this bug.